import { APIGatewayProxyEvent, APIGatewayProxyResult, Context as LambdaContext } from 'aws-lambda';
import { ApolloServerBase } from 'apollo-server-core';
import { GraphQLOptions, Config } from 'apollo-server-core';
export interface CreateHandlerOptions {
    cors?: {
        origin?: boolean | string | string[];
        methods?: string | string[];
        allowedHeaders?: string | string[];
        exposedHeaders?: string | string[];
        credentials?: boolean;
        maxAge?: number;
    };
}
export declare class ApolloServer extends ApolloServerBase {
    constructor(options: Config);
    createGraphQLServerOptions(event: APIGatewayProxyEvent, context: LambdaContext): Promise<GraphQLOptions>;
    createHandler({ cors }?: CreateHandlerOptions): (event: APIGatewayProxyEvent, context: LambdaContext, callback: import("aws-lambda").Callback<APIGatewayProxyResult>) => void;
}
//# sourceMappingURL=ApolloServer.d.ts.map